%define name pcsc-tools
%define version 1.4.17

%define num_release 1
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Summary:	PCSC tools useful for a PC/SC user
Group:		Text tools
Source0:	http://ludovic.rousseau.free.fr/softwares/pcsc-tools/%{name}-%{version}.tar.gz
Source1:	http://ludovic.rousseau.free.fr/softwares/pcsc-tools/%{name}-%{version}.tar.gz.asc
Requires:	perl-pcsc-perl >= 1.4.2 ccid
Buildrequires:	pcsc-lite-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://ludovic.rousseau.free.fr/softwares/pcsc-tools/

%description
This package contains some tools useful for a PC/SC user.
- pcsc_scan (Ludovic Rousseau <ludovic.rousseau@free.fr>)
    regularly scans every PC/SC reader connected to the host
    if a card is inserted or removed a "line" is printed
- ATR_analysis (Christophe Levantis and Ludovic Rousseau)
    Perl script used to parse the smart card ATR.
    This script is called (by default) by pcsc_scan
- smartcard_list.txt (Ludovic Rousseau)
    This list contains ATR of some cards. The list is used by
    ATR_analysis to find a card model corresponding to the ATR.
- scriptor (Lionel Victor <lionel.victor@unforgettable.com>)
    A Perl script to send commands to a smart card. You can use a file
    containing the commands or stdin.
- gscriptor (Lionel Victor <lionel.victor@unforgettable.com>)
    A Perl script to send commands to a smart card with GTK-based
    graphical interface.

%prep
%setup -q
bzip2 -9 Changelog

%build
%make

%install
rm -rf %{buildroot}
%make DESTDIR=%{buildroot}/usr install

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc README TODO Changelog.bz2
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/pcsc/smartcard_list.txt



%changelog
* Tue Aug 31 2010 Tomas Kindl <supp@mandriva.org> 1.4.17-1mdv2011.0
+ Revision: 574740
- update to 1.4.17
- drop p0 as it's already included upstream...

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 1.4.15-4mdv2011.0
+ Revision: 574308
- rebuild for new pcsclite

* Tue Sep 15 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.15-3mdv2010.0
+ Revision: 442937
- add ccid to requires

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Feb 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4.15-1mdv2009.1
+ Revision: 340648
- update to new version 1.4.15

* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 1.4.14-1mdv2009.0
+ Revision: 205891
- New version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.4.10-1mdv2008.1
+ Revision: 136654
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.10-1mdv2008.0
+ Revision: 80713
- don't package LICENCE
- use Fedora license policy
- new release 1.4.10

* Sat Jul 14 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.9-1mdv2008.0
+ Revision: 52109
- buildrequires pcsc-lite-devel not pcsclite-devel
- requires perl-pcsc-perl >= 1.4.2, not = 1.4.2 (fixes install, thanks Frederik Himpe)
- new release 1.4.9

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.8-1mdv2008.0
+ Revision: 32039
- updated to version 1.4.8
- removed old changelog from spec file


* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.7-1mdv2007.0
+ Revision: 77016
- added missing buildrequires
- updated to version 1.4.7
- Import pcsc-tools

* Mon Nov 06 2006 Iurt the rebuild bot <warly@mandriva.com> 1.4.7-1mdv2007.1
- rebuild of 1.4.7-%%{rel}mdv for %%{distversion}

* Tue Mar 28 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.4-2mdv
- small spec cleanups
- don't use file lists

* Tue Mar 28 2006 Olivier Lahaye <olivier.lahaye1@free.fr> 1.4.4-1mdv
- New version 1.4.4.

* Wed Mar 22 2006 Olivier Lahaye <olivier.lahaye1@free.fr> 1.4.2-2mdv
- Updated Requires (from pcsc-perl to perl-pcsc-perl).

* Wed Mar 08 2006 Olivier Lahaye <olivier.lahaye1@free.fr> 1.4.2-1mdv
- Initial packaging.

